//
//  GMTCDeprecationMacros.h
//  Google Ridesharing SDK for iOS
//
//  Copyright 2022 Google LLC
//
//  Usage of this SDK is subject to the Google Maps/Google Earth APIs Terms of
//  Service: https://cloud.google.com/maps-platform/terms
//

#ifndef IPHONE_MAPS_SDK_RIDESHARING_CONSUMER_API_GMTCDEPRECATIONMACROS_H_
#define IPHONE_MAPS_SDK_RIDESHARING_CONSUMER_API_GMTCDEPRECATIONMACROS_H_

/**
 * This macro is used to mark entities which should no longer be used and are
 * scheduled to be removed in a future release.
 */
#ifndef __GMTC_AVAILABLE_BUT_DEPRECATED
#define __GMTC_AVAILABLE_BUT_DEPRECATED __deprecated
#endif

/**
 * This macro is used to mark entities which should no longer be used and are
 * scheduled to be removed in a future release.
 */
#ifndef __GMTC_AVAILABLE_BUT_DEPRECATED_MSG
#define __GMTC_AVAILABLE_BUT_DEPRECATED_MSG(msg) __deprecated_msg(msg)
#endif

#endif
